Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 431522 - media-video/flumotion: fails to build with python3* as system interpreter
Summary: media-video/flumotion: fails to build with python3* as system interpreter
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2012-08-15 13:40 UTC by Joaquim Uchoa
Modified: 2015-01-05 23:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joaquim Uchoa 2012-08-15 13:40:56 UTC
I have Python 2.7 and Python 3.2 installed in several systems:
# eselect python list
Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *

If the default is with python3.2, then flumotion doesn't compile... 
with python2.7 is all ok. 

So ebuild should specify python2.7 to compile and use of flumotion.


Reproducible: Always

Steps to Reproduce:
1. choose python2.7 as default with eselect
2. emerge flumotion

Actual Results:  
flumotion only compiles if admin has selected python2.7 as default.

Expected Results:  
flumotion should select python2.7 to compile process.
Comment 1 Jeroen Roovers gentoo-dev 2012-08-15 14:33:29 UTC
Maybe bug #391381 has the fix.
Also, the ebuild sets PYTHON_DEPEND=2:2.6, which I assume is the correct way to have it use python2, not 3.
Comment 2 Nico Baggus 2013-10-05 14:50:57 UTC
Well unless eselect python is used for python-2.7 it doesn't build .....
Comment 3 Gilles Dartiguelongue gentoo-dev 2015-01-05 23:37:41 UTC
+*flumotion-0.8.1-r1 (05 Jan 2015)
+
+  05 Jan 2015; Gilles Dartiguelongue <eva@gentoo.org>
+  +flumotion-0.8.1-r1.ebuild, +files/flumotion-init-3:
+  Bump to EAPI=5. Switch to python-r1, bug #528538. Fixes build with system
+  interpreter not being python2, bug #431522. Move /var/run/flumotion
+  management to init script, bug #450900. Unittests should now pass, bug
+  #330535.
+

Resolved as part of work on bug #528538.